Skip to main content
Infrastructure/Installer

GetPackageDownloadProgress

Get download progress information for a specific package by name

GET/api/v1/installer/packages/{name}/progress

Operation ID

GetPackageDownloadProgress

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • name
    StringRequired

    Name of the package to retrieve download progress for

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • packageName
    String

    Name of the package being downloaded

    Example: zcf-core

  • status
    String

    Current status of the download job

    Example: in_progress

  • progress
    Integer

    Download progress as a percentage from 0 to 100

    Example: 67

  • sizeMb
    String

    Total size of the package in megabytes

    Example: 256

  • startedAt
    String

    Started at

    Example: 2026-01-15T08:00:00Z

  • completedAt
    String

    Completed at

    Example: 2026-01-15T08:00:00Z